<template>
  <div class="spot-confirm">
    <div class="spot-confirm__title">Условия перевозки</div>
    <div class="spot-confirm__row">
      <CardPath
        role="carrier"
        :locationFrom="spotOrderByCarrier.fromLocationTitleRu"
        :locationTo="spotOrderByCarrier.toLocationTitleRu"
        :route="spotOrderByCarrier.routeLengthInKm"
        :points="spotOrderByCarrier.routePoints"
      />
    </div>
    <div class="spot-confirm__row">
      <CargoType
        :spotNeedTracking="spotOrderByCarrier.needTracking"
        :spotDangerousClassTitle="spotOrderByCarrier.dangerousClassTitle"
        :spotCargoTypesList="spotOrderByCarrier.cargoTypes"
      />
    </div>
    <div class="spot-confirm__row">
      <Transport
        :spotResourceTypeTitle="spotOrderByCarrier.resourceTypeTitle"
      />
    </div>
    <div class="spot-confirm__row">
      <Additional
        :spotRequirementsList="spotOrderByCarrier.requirements"
        :spotComment="spotOrderByCarrier.comment"
        :spotExternalNumber="spotOrderByCarrier.externalNumber"
        :spotFiles="spotOrderByCarrier.files"
        :spotContactPerson="spotOrderByCarrier.contactPerson"
      />
    </div>
  </div>
</template>

<script>
import CardPath from '../../../components/path'
import CargoType from './cargoType'
import Transport from './transport'
import Additional from './additional'
import { mapGetters } from 'vuex'

export default {
  components: {
    CardPath,
    CargoType,
    Transport,
    Additional,
  },
  computed: {
    ...mapGetters({
      spotOrderByCarrier: 'spot/spotOrderByCarrier',
    }),
  },
}
</script>

<style lang="scss" scoped>
.spot-confirm {
  padding: 20px 0 0 0;
  margin-top: 20px;
  text-align: left;
  &__title {
    font-weight: bold;
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0.4px;
    color: $color-text-base;
  }
  &__row {
    margin-top: 20px;
  }
}
</style>
